#
# spec file for package perl-Mcrypt (Version 2.4.8.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libmcrypt libmcrypt-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libmcrypt libmcrypt-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Mcrypt
Copyright:    GPL/Artistic License
Group:        Development/Libraries/Perl
Requires:     libmcrypt
Autoreqprov:  on
Version:      2.4.8.2
Release:      56
URL:          http://www.omniti.com/~jesus/projects/
Summary:      An autoloadable interface module for libmcrypt
Source:       Mcrypt-%{version}.tar.gz
Patch:        Mcrypt-%{version}.dif
Patch1:       Mcrypt-%{version}-axp.diff
BuildRoot:    %{_tmppath}/%{name}-build

%description
The Mcrypt modules provides and simple and inuitive perl abstraction of the
libmcrypt cryptography library.  It provide mechanisms for encoding and
decoding perl scalars.

Authors:
--------
    Theo Schlossnagle <jesus@omniti.com>

SuSE series: perl

%prep
%setup -n Mcrypt-%{version}
%patch
%ifarch alpha s390
%patch1
%endif

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Mcrypt
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Mcrypt
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/var/adm/perl-modules/perl-Mcrypt
%doc ChangeLog README 
%{perl_sitearch}/auto/Mcrypt/
%{perl_sitearch}/Mcrypt.pm
%{_mandir}/man?/*

%changelog -n perl-Mcrypt
* Thu Sep 06 2001 - rvasice@suse.cz
- removed CAST_256 algorithm for arch axp, s390 (unsupported by
  libmcrypt)
* Wed Aug 22 2001 - rvasice@suse.cz
- spec file cleanup
* Mon May 21 2001 - pblaha@suse.cz
- update on 2.4.8.2
* Wed Jan 24 2001 - pblaha@suse.cz
- create this package
